Subject: Re: [Sip] PING/PONG [bcc][faked-from][heur] [mx][spf]

From: Cullen Jennings <[email-masked]>
Date: Sat, 11 Dec 2004 05:34:28 -0800

On 11/12/04 4:00 AM, "Christian Jansson" <[email-masked]>
wrote:

> I'm not sure how often keep-alives have to be sent over TCP to ensure
> that NAT/FWs do not remove the state. Preferabely NAT/FWs never remove
> the state, but I have heard that it happens. Does anyone have a
> reference to test statistics of NAT/FWs behavior? The keep-alive default
> interval should probably be set just below the shortest of all detected
> values.

Have not done extensive testing but on the ones I have tested, it has been
around 7200 seconds, and the default TCP keep alive in most OS is also 7200
seconds so they are matched and you can ignore it. I imagine they are not
all this way. The argument for TCP CRLF has been to detect the "liveness" of
the connection for reliably - not so much an argument for nat state refresh

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip